Get Accounts

Use this API to retrieve a paginated list of savings accounts and their details.

Filtering & Pagination

The response can be controlled using the following query parameters:

ParameterDescription
offsetThe starting position of the results. Defaults to 0.
limitThe maximum number of results to return. Defaults to 200. Pass 0 or a negative value to return all records.
orderByField to sort results by. Supported values: id, client_id, product_id, sub_status_enum, accounttype_enum.
sortOrderSort direction. Supported values: ASC, DESC.

For the supported values for Account Status, see: Account Status

Query Params
integer

Indicates the result from which pagination starts. Defaults to 0.
Example: 0

integer

Restricts the size of the results returned. Defaults to 200.
To override the default and return all entries you must explicitly pass
a non-positive integer value for limit e.g. limit=0, or limit=-1
Example: 20

string

The list is sorted by the indicated field.
Possible values - id, client_id, product_id, sub_status_enum,accounttype_enum.
Example: 'id'

string

Specifies the sorting order. Possible values - ASC, DESC
Example: 'ASC'

Headers
string
required

The ID of your banking instance visible in the MBANQ Console.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json